% chose a random point into an hypersphere with weighted dimensions,
% radially the point is unbalancedtowards large radius values
function x0=randomIC_radius_unbalanced_D(dim,R,xe,weight)

pos=zeros(1,dim); % initialize the vector position

% in order to define a generic direction, standard normalized distributed
% numbers are generated in each direction. This generate a vetor with a
% uniformly distributed direction (proven at
% http://corysimon.github.io/articles/uniformdistn-on-sphere/, alternative
% method 1). Each direction is streched by sqrt(weight(i)) in order to
% compensate that it is an hyperellipsoid.
for i=1:dim
    pos(i)=randn/sqrt(weight(i));
end

% once a direction is defined by normalizing the pos vector by its weighted
% length. Then a random number for the radius is
% generated and multiplied by the radius. In order to avoid to have more
% points close to the center, the radius is scaled by the dimension as
% illustrated in the equation. This increase the probability of having a
% point far from the center, compensating that close to the center surfaces
% with equal radius are smaller.
% The larger is a, the more points are concentrated around R
a=7;
x0=pos/normweight_D(pos,weight)*(random('beta',a,1)*R^dim)^(1/dim)+xe;